# Constant Field Values

## Contents

- es.imim.*

## es.imim.*

es.imim.DISGENET.database.DatabaseProps
Modifier and Type
Constant Field
Value
`public static final String`
`DISEASE_CODE_REGEX`
`"^C[0-9]{7}$"`
`public static final String`
`DISEASE_SEARCH_REGEX`
`"(\'C[0-9]{7}\',)*\'C[0-9]{7}\'"`
`public static final String`
`ENSEMBL_SEARCH_REGEX`
`"ENSG\\d+(\\s*[;,]\\s*ENSG\\d+)*"`
`public static final String`
`GENE_SEARCH_REGEX`
`"(\\d+\\s*[;,]\\s*)*\\d+"`
`public static final String`
`HGNC_SEARCH_REGEX`
`"[A-Z0-9-]+([;,][A-Z0-9-]+)*"`
`public static final String`
`VARIANT_CODE_REGEX`
`"^rs\\d+"`
`public static final String`
`VARIANT_STRING_SEARCH`
`"(\'(rs)\\d+\',)*\'(rs)\\d+\'"`

es.imim.DISGENET.gui.GuiProps
Modifier and Type
Constant Field
Value
`public static final String`
`COLOR_NODES_BUTTON_TEXT`
`"Colour nodes with disease class"`
`public static final String`
`COLOR_NODES_BUTTON_TOOLTIP`
`"Colours the network according to disease class"`
`public static final String`
`CREATE_NET_BUTTON_TEXT`
`"Create Network"`
`public static final String`
`CREATE_NET_BUTTON_TOOLTIP`
`"Creates network with selected parameters"`
`public static final String`
`DIS_PROJ_LABEL`
`"Select Disease Class"`
`public static final String`
`DIS_PROJ_SEARCH_FIELD`
`""`
`public static final String`
`DIS_PROJ_SEARCH_LABEL`
`"Search Disease"`
`public static final String`
`DIS_PROJ_SOURCE_LABEL`
`"Select Source"`
`public static final String`
`DIS_PROJ_TAB_TITLE`
`"Disease Projections"`
`public static final String`
`EI_HIGH_LABEL`
`"to"`
`public static final String`
`EI_LOW_LABEL`
`"EI from"`
`public static final String`
`EXIT_BUTTON_TEXT`
`"Exit Plugin"`
`public static final String`
`GENE_DIS_ASSO_LABEL`
`"Select Protein Class"`
`public static final String`
`GENE_DIS_CLASS_LABEL`
`"Select Disease Class"`
`public static final String`
`GENE_DIS_LOW_SCORE_LABEL`
`"Score from"`
`public static final String`
`GENE_DIS_SEARCH_DIS_LABEL`
`"Search Disease"`
`public static final String`
`GENE_DIS_SEARCH_GENE_LABEL`
`"Search Gene"`
`public static final String`
`GENE_DIS_SEARCH_TEXT`
`""`
`public static final String`
`GENE_DIS_SOURCE_LABEL`
`"Select Source"`
`public static final String`
`GENE_DIS_TAB_TITLE`
`"Gene Disease Network"`
`public static final String`
`GENE_DIS_UP_SCORE_LABEL`
`"to"`
`public static final String`
`GENE_PROJ_LABEL`
`"Select Disease Class"`
`public static final String`
`GENE_PROJ_SEARCH_FIELD`
`""`
`public static final String`
`GENE_PROJ_SEARCH_LABEL`
`"Search Gene"`
`public static final String`
`GENE_PROJ_SOURCE_LABEL`
`"Select Source"`
`public static final String`
`GENE_PROJ_TAB_TITLE`
`"Gene Projections"`
`public static final String`
`REMOVE_COLOR_BUTTON_TEXT`
`"Remove disease class colours"`
`public static final String`
`REMOVE_COLOR_BUTTON_TOOLTIP`
`"Removes the disease class colours and restores the default DISGENET style"`
`public static final String`
`VARIANT_DIS_CLASS_LABEL`
`"Select Disease Class"`
`public static final String`
`VARIANT_DIS_LOW_SCORE_LABEL`
`"Score from"`
`public static final String`
`VARIANT_DIS_SEARCH_DIS_LABEL`
`"Search Disease"`
`public static final String`
`VARIANT_DIS_SEARCH_GEN_LABEL`
`"Search Gene"`
`public static final String`
`VARIANT_DIS_SEARCH_TEXT`
`""`
`public static final String`
`VARIANT_DIS_SEARCH_VAR_LABEL`
`"Search Variant"`
`public static final String`
`VARIANT_DIS_SOURCE_LABEL`
`"Select Source"`
`public static final String`
`VARIANT_DIS_TAB_TITLE`
`"Variant Disease Network"`
`public static final String`
`VARIANT_DIS_UP_SCORE_LABEL`
`"to"`
`public static final String`
`VARIANT_VAR_GEN_CHECKBOX_LABEL`
`"Show associated genes"`
`public static final String`
`VARIANT_VAR_GEN_CHECKBOX_TOOLTIP`
`"Shows the gene nodes associated to the variants"`

es.imim.DISGENET.internal.enrichment.GeneEnrichment
Modifier and Type
Constant Field
Value
`public static final String`
`colGenesBG`
`"bg ratio"`
`public static final String`
`colGenesRatio`
`"gene ratio"`
`public static final String`
`colGenesSUID`
`"nodes.SUID"`
`public static final String`
`colID`
`"disease id"`
`public static final String`
`colListGenes`
`"intersection EntrezIds"`
`public static final String`
`colName`
`"disease name"`
`public static final String`
`colPvalue`
`"p-value"`
`public static final String`
`colSource`
`"source name"`
`public static final String`
`enrichmentURL`
`"https://api.disgenet.com/api/v1/enrichment/gene"`

es.imim.DISGENET.internal.linkout.LinkoutProperties
Modifier and Type
Constant Field
Value
`public static final String`
`DISEASE_LINKOUT_URL`
`"http://linkedlifedata.com/resource/umls/id/"`
`public static final String`
`GENE_LINKOUT_URL`
`"https://www.ncbi.nlm.nih.gov/gene/"`
`public static final String`
`PUBMED_LINKOUT_URL`
`"https://www.ncbi.nlm.nih.gov/pubmed/?term="`
`public static final String`
`VARIANT_LINKOUT_URL`
`"https://www.ncbi.nlm.nih.gov/SNP/snp_ref.cgi?rs="`

es.imim.DISGENET.internal.utils.IconUtils
Modifier and Type
Constant Field
Value
`public static final String`
`DISEASE_LAYER`
`"\ue908"`
`public static final String`
`EM_ICON_LAYER_1`
`"\ue900"`
`public static final String`
`EM_ICON_LAYER_2`
`"\ue901"`
`public static final String`
`EM_ICON_LAYER_3`
`"\ue901"`
`public static final String`
`ENRICH_LAYER`
`"\ue909"`
`public static final String`
`PUBMED_LAYER`
`"\ue90a"`
`public static final String`
`STITCH_LAYER`
`"\ue90b"`
`public static final String`
`STRING_ICON`
`"\ue903"`
`public static final String`
`STRING_ICON_LAYER_1`
`"\ue904"`
`public static final String`
`STRING_ICON_LAYER_2`
`"\ue905"`
`public static final String`
`STRING_ICON_LAYER_3`
`"\ue906"`
`public static final String`
`STRING_ICON_LAYER_4`
`"\ue907"`
`public static final String`
`STRING_LAYER`
`"\ue90c"`

es.imim.DISGENET.search.MemComboBox
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_MEM_LEN`
`50`

es.imim.DISGENET.validation.NodeValidation
Modifier and Type
Constant Field
Value
`public static final String`
`DISEASE_CUI_REGEX`
`"^C[0-9]{7}$"`
`public static final String`
`VARIANT_SNP_REGEX`
`"rs\\d+"`